Subject: [COSE] Using cose for unicast and Multicast in ACE

From: "Jim Schaad" <[email-masked]>
Date: Sun, 13 Sep 2015 21:21:41 -0700

For those who are not on the ACE mailing list, I have just posted an
analysis that I tried to do on using COSE messages for both Unicast and
Multicast with the aim of trying to figure out when a context identifier is
needed.  Please send comments on the analysis to the ACE list.

It appears that there is probably a sufficient percentage of the time where
all encryption context information can be inferred from the CoAP message
state to justify having a version of the encryption formation with and
without recipient information.  I propose to make this change and to use the
same naming convention that is used in CMS for distinguishing the two cases.

COSE_Encrypted - no recipient information
COSE_Enveloped - with recipient information

(The CMS versions have Data appended to the end of each of those, but I
don't think we need to go that far.)

Jim